diff -Naur jboss-4.0.5.GA-src/aspects/src/main/org/jboss/aspects/remoting/InvokeRemoteInterceptor.java jboss-4.0.5-modified/aspects/src/main/org/jboss/aspects/remoting/InvokeRemoteInterceptor.java
--- jboss-4.0.5.GA-src/aspects/src/main/org/jboss/aspects/remoting/InvokeRemoteInterceptor.java	2008-04-01 14:24:34.000000000 +0200
+++ jboss-4.0.5-modified/aspects/src/main/org/jboss/aspects/remoting/InvokeRemoteInterceptor.java	2008-04-01 14:49:56.000000000 +0200
@@ -22,9 +22,12 @@
 package org.jboss.aspects.remoting;
 
 import java.io.ObjectStreamException;
+import java.net.URL;
+import java.net.URLClassLoader;
 
 import org.jboss.remoting.Client;
 import org.jboss.remoting.InvokerLocator;
+import org.jboss.remoting.InvokerRegistry;
 /**
  * Checks to see if this object is local in VM
  *
@@ -51,7 +54,9 @@
       }
       String subsystem = (String)invocation.getMetaData(REMOTING, SUBSYSTEM);
       if (subsystem == null) subsystem = "AOP";
-      Client client = new Client(locator, subsystem);
+      ClassLoader cl = new URLClassLoader(new URL[0]);
+      Client client = new Client(cl, locator, subsystem, null);
+      
       org.jboss.aop.joinpoint.InvocationResponse response = (org.jboss.aop.joinpoint.InvocationResponse)client.invoke(invocation, null);
       invocation.setResponseContextInfo(response.getContextInfo());
       return response.getResponse();
